# -*- encoding : utf-8 -*-

class Admin::PProductAssembledsController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @p_product_assembleds = PProductAssembled.order(:name).all

  end

  def show
    @p_product_assembled = PProductAssembled.find(params[:id])

  end

  def new
    @p_product_assembled = PProductAssembled.new
  
  end

  def edit
    @p_product_assembled = PProductAssembled.find(params[:id])
    
  end

  def create
    @p_product_assembled = PProductAssembled.new(params.require(:p_product_assembled).permit!)

    if @p_product_assembled.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_product_assembled = PProductAssembled.find(params[:id])


    if @p_product_assembled.update_attributes(params.require(:p_product_assembled).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_product_assembled = PProductAssembled.find(params[:id])
    @p_product_assembled.destroy
    
  end
end
